Runtime

## org.eclipse.gmf.runtime.diagram.ui.preferences
Class PrintingPreferencePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.jface.preference.FieldEditorPreferencePage
                  org.eclipse.gmf.runtime.common.ui.preferences.AbstractPreferencePage
                      org.eclipse.gmf.runtime.diagram.ui.preferences.PrintingPreferencePage

All Implemented Interfaces:
  java.util.EventListener, IDialogPage, IMessageProvider, IPreferencePage, IPropertyChangeListener, IWorkbenchPreferencePage

public class PrintingPreferencePage
extends AbstractPreferencePage

PrintingPreferencePage enables the user to specify printing settings such as measurement units, page size, page orientation and margins.

Field Summary
`static java.lang.String` `ID_PAGE_SETUP_PREF_PAGE` Printing preferences page ID.

Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`FLAT, GRID, MARGIN_HEIGHT, MARGIN_WIDTH, VERTICAL_SPACING`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`PrintingPreferencePage()` Creates an instance of PrintingPreferencePage.
`PrintingPreferencePage(IPreferenceStore store)` Creates an instance of PrintingPreferencePage.

Method Summary
`protected void` `addFields(Composite parent)` Adds the field editors to this composite.
`protected Control` `createContents(Composite parent)`
`static void` `initDefaults(IPreferenceStore store)` Initializes printing preferences to their default values.
`protected void` `initHelp()` Initialize the context sensitive help id for this preference page.
`protected void` `performDefaults()`
`boolean` `performOk()`

Methods inherited from class org.eclipse.gmf.runtime.common.ui.preferences.AbstractPreferencePage
`createFieldEditors, init, setPageHelpContextId`

Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage
`addField, adjustGridLayout, applyFont, checkState, dispose, getFieldEditorParent, initialize, propertyChange, setVisible`

Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, okToLeave, performApply, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Field Detail

### ID_PAGE_SETUP_PREF_PAGE

    public static java.lang.String ID_PAGE_SETUP_PREF_PAGE

  Printing preferences page ID.

Constructor Detail

### PrintingPreferencePage

    public PrintingPreferencePage()

  Creates an instance of PrintingPreferencePage.

### PrintingPreferencePage

    public PrintingPreferencePage(IPreferenceStore store)

  Creates an instance of PrintingPreferencePage.

Method Detail

### addFields

    protected void addFields(Composite parent)

  Description copied from class: `AbstractPreferencePage`
  Adds the field editors to this composite.

  Specified by:
    `addFields` in class `AbstractPreferencePage`
  Parameters:
    `parent` - the parent Composite that the field editors will be added to

### initHelp

    protected void initHelp()

  Description copied from class: `AbstractPreferencePage`
  Initialize the context sensitive help id for this preference page.

  Specified by:
    `initHelp` in class `AbstractPreferencePage`

### initDefaults

    public static void initDefaults(IPreferenceStore store)

  Initializes printing preferences to their default values.

### performDefaults

    protected void performDefaults()

### performOk

    public boolean performOk()

### createContents

    protected Control createContents(Composite parent)

  Overrides:
    `createContents` in class `AbstractPreferencePage`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.